---
Name: esxi_650u3-105610_rkn_hpe-install
Description: Install BootEnv for ESXi 650u3-105610 for rkn_hpe
Documentation: |
  Provides VMware BootEnv for ESXi 650u3-105610 for rkn_hpe
  For more details, and to download ISO see:

    - <https://rackn-repo.s3-us-west-2.amazonaws.com/isos/vmware/esxi/6.5/RKN-HPE-ESXi-6.5.0-Update3-preGen9-650.U3.9.6.8.8.iso>

  !!! note
      The ISO filename and sha256sum must match this BootEnv exactly.

Meta:
  color: blue
  icon: zip
  title: RackN Content
OS:
  Codename: esxi
  Family: vmware
  IsoFile: RKN-HPE-ESXi-6.5.0-Update3-Synergy-650.U3.10.5.6.10.iso
  IsoSha256: 2b9c652417483e21db6f20651b606939fe63855ea099e3cfd69aac4abd77b541
  IsoUrl: ""
  Name: esxi_650u3-105610_rkn_hpe
  SupportedArchitectures: {}
  Version: 650u3
OnlyUnknown: false
OptionalParams:
  - provisioner-default-password-hash
RequiredParams: []
Kernel: ../../chain.c32
BootParams: -c {{.Machine.Path}}/boot.cfg
Initrds: []
Loaders:
  amd64-uefi: efi/boot/bootx64.efi
Templates:
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: esxi-install-py3.ks.tmpl
    Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
  - ID: esxi_650u3-105610_rkn_hpe.boot.cfg.tmpl
    Name: boot.cfg
    Path: "{{.Machine.Path}}/boot.cfg"
  - ID: esxi_650u3-105610_rkn_hpe.boot.cfg.tmpl
    Name: boot-uefi.cfg
    Path: '{{.Env.PathForArch "tftp" "" "amd64"}}/efi/boot/{{.Machine.MacAddr "pxelinux"}}/boot.cfg'
